package gui_control;

import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;

import javax.swing.JPanel;

@SuppressWarnings("serial")
public class JPanel_Degradado extends JPanel {

    private Color colorSuperior = new Color(255, 255, 255);
    private Color colorInferior = new Color(255, 255, 255);

    public Color getColorInferior() {
        return colorInferior;
    }

    public Color getColorSuperior() {
        return colorSuperior;
    }

    @Override
    protected void paintComponent(Graphics graficosJPanel) {
        Graphics2D degradado2D = (Graphics2D) graficosJPanel.create();
        Rectangle limitesRectangulo = degradado2D.getClipBounds();
        degradado2D.setPaint(new GradientPaint(0.0f, 0.0f, colorSuperior, 0.0f,
                getHeight(), colorInferior));
        degradado2D.fillRect(limitesRectangulo.x, limitesRectangulo.y,
                limitesRectangulo.width, limitesRectangulo.height);
    }

    public void setColorInferior(Color color) {
        colorInferior = color;
    }

    public void setColorSuperior(Color color) {
        colorSuperior = color;
    }
}